Subject: Re: [bitcoin-dev] Scaling by Partitioning

From: Patrick Strateman <[email-masked]>
Date: Tue, 8 Dec 2015 13:29:13 -0800

If partition is selected from a random key (the hash of the output for
example) then payment recipients would need to operate a full node on
each of the chains.

What's the point of partitioning if virtually everybody needs to operate
each partition?

The mining aspect has it's own set of issues, but I'm not going to get
into those.

On 12/08/2015 01:23 PM, Akiva Lichtner wrote:
> It's true that miners would have to be prepared to work on any
> partition. I don't see where the number affects defeating double
> spending, what matters is the nonce in the block that keeps the next
> successful miner random.
>
> I expect that the number of miners would be ten times larger as well,
> so an attacker would have no advantage working on one partition.
>
> On Tue, Dec 8, 2015 at 3:50 PM, Patrick Strateman via bitcoin-dev
> <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Payment recipients would need to operate a daemon for each chain,
>     thus guaranteeing no scaling advantage.
>
>     (There are other issues, but I believe that to be enough of a show
>     stopper not to continue).
>
>     On 12/08/2015 08:27 AM, Akiva Lichtner via bitcoin-dev wrote:
>>     Hello,
>>
>>     I am seeking some expert feedback on an idea for scaling Bitcoin.
>>     As a brief introduction: I work in the payment industry and I
>>     have twenty years' experience in development. I have some
>>     experience with process groups and ordering protocols too. I
>>     think I understand Satoshi's paper but I admit I have not read
>>     the source code.
>>
>>     The idea is to run more than one simultaneous chain, each chain
>>     defeating double spending on only part of the coin. The coin
>>     would be partitioned by radix (or modulus, not sure what to call
>>     it.) For example in order to multiply throughput by a factor of
>>     ten you could run ten parallel chains, one would work on coin
>>     that ends in "0", one on coin that ends in "1", and so on up to "9".
>>
>>     The number of chains could increase automatically over time based
>>     on the moving average of transaction volume.
>>
>>     Blocks would have to contain the number of the partition they
>>     belong to, and miners would have to round-robin through
>>     partitions so that an attacker would not have an unfair advantage
>>     working on just one partition.
>>
>>     I don't think there is much impact to miners, but clients would
>>     have to send more than one message in order to spend money.
>>     Client messages will need to enumerate coin using some sort of
>>     compression, to save space. This seems okay to me since often in
>>     computing client software does have to break things up in equal
>>     parts (e.g. memory pages, file system blocks,) and the client
>>     software could hide the details.
>>
>>     Best wishes for continued success to the project.
>>
>>     Regards,
>>     Akiva
>>
>>     P.S. I found a funny anagram for SATOSHI NAKAMOTO: "NSA IS OOOK
>>     AT MATH"
>>
>>
>>
>>     _______________________________________________
>>     bitcoin-dev mailing list
>>     [email-masked]
>>     <mailto:[email-masked]>
>>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>